# Get hotel details

Get details for a specific hotel.

Endpoint: POST /v2/hotel/details
Version: v2
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer

## Request fields (application/json):

  - `hotelDetailsKey` (string, required)
    A unique identifier for the hotel details.

  - `corporateInfo` (object)
    Corporate data to be collected during the search request workflow.

  - `corporateInfo.preSearchAnswers` (object)

  - `corporateInfo.preSearchAnswers.answers` (array)

  - `corporateInfo.preSearchAnswers.answers.entityId` (string)
    The unique ID for the question.

  - `corporateInfo.preSearchAnswers.answers.userInput` (string)
    The text input given by user (if any).

  - `corporateInfo.preSearchAnswers.answers.itemIds` (array)
    The id/enum value corresponding to the option chosen by the user as
answer.

  - `corporateInfo.preSearchAnswers.answers.answers` (array)

  - `corporateInfo.preSearchAnswers.answers.answers.item` (string)
    The option selected from the list of available choices.

  - `corporateInfo.preSearchAnswers.answers.answers.value` (string)
    The additional input provided (by the user) while selecting one of the options.

  - `corporateInfo.preSearchAnswers.answers.answers.description` (string)
    Description of the selected option.

  - `corporateInfo.preSearchAnswers.answers.customFieldType` (string)
    The type of custom field.
    Enum: "QUESTION", "MEETING", "BUDGET", "BREX_TOKEN"

  - `corporateInfo.preSearchAnswers.answers.questionDisplayText` (string)
    The question text to be displayed to the user.

  - `corporateInfo.preSearchAnswers.answers.question` (object)
    The message defines the format of a question which can be asked to a user in any kind of workflows.

  - `corporateInfo.preSearchAnswers.answers.question.id` (string, required)

  - `corporateInfo.preSearchAnswers.answers.question.name` (string, required)
    Question display name that the user will see. For eg, 'Choose the purpose of your trip'.

  - `corporateInfo.preSearchAnswers.answers.question.questionFormat` (string)
    Question types. INPUT_BOX will make user enter a free flowing text.
RADIO_BUTTON will have multiple options, user can select only one.
CHECKBOX questions contain the possible set of options, from which the user can choose multiple options.
CHECKBOX_WITH_PERCENTAGE is similar to checkbox, with the difference being that each option having an additional input field whose values must add up to 100.
    Enum: "INPUT_BOX", "RADIO_BUTTON", "CHECKBOX", "CHECKBOX_WITH_PERCENTAGE"

  - `corporateInfo.preSearchAnswers.answers.question.optionInfo` (object)
    Options related information for the question.

  - `corporateInfo.preSearchAnswers.answers.question.optionInfo.source` (string, required)
    Option source
    Enum: "MANUAL", "COMPANY_CONFIG"

  - `corporateInfo.preSearchAnswers.answers.question.optionInfo.sourceMetadata` (object)
    Metadata information for the option source.

  - `corporateInfo.preSearchAnswers.answers.question.optionInfo.sourceMetadata.companyConfig` (object)
    For this option source, options would be auto generated based on specified parameter.

  - `corporateInfo.preSearchAnswers.answers.question.optionInfo.sourceMetadata.companyConfig.optionsParam` (string, required)
    Parameter to form options for the custom field.
    Enum: "COST_CENTER", "LEGAL_ENTITY", "OFFICE", "DEPARTMENT"

  - `corporateInfo.preSearchAnswers.answers.question.optionInfo.totalNumOptions` (integer)
    Total number of options

  - `corporateInfo.preSearchAnswers.answers.question.optionInfo.options` (array)
    Available options for the question. This will contain only max 10 options if only 
summary is requested.

  - `corporateInfo.preSearchAnswers.answers.question.optionInfo.options.displayCode` (string, required)
    The code which is sent in answer response.

  - `corporateInfo.preSearchAnswers.answers.question.optionInfo.options.displayValue` (string)
    The text to be displayed to the user beside this option.

  - `corporateInfo.preSearchAnswers.answers.question.isRequired` (boolean, required)
    Whether its compulsory to answer the question or not.
    Example: true

  - `corporateInfo.preSearchAnswers.answers.question.isDisabled` (boolean, required)
    Whether the question is disabled or not. If true, this should not be asked.
    Example: true

  - `corporateInfo.preSearchAnswers.answers.question.includeInItinerary` (boolean)
    Whether to include this question in the itinerary related emails.
    Example: true

  - `corporateInfo.preSearchAnswers.answers.question.customFieldLocations` (array)

  - `corporateInfo.preSearchAnswers.answers.question.matchConditions` (object)
    Conditions to select the custom field for given context.

  - `corporateInfo.preSearchAnswers.answers.question.matchConditions.travelerConditions` (object)
    Matching conditions for traveler.

  - `corporateInfo.preSearchAnswers.answers.question.matchConditions.travelerConditions.workerTypes` (array)
    Worker types. Users belonging to any of these would match.

  - `corporateInfo.preSearchAnswers.answers.question.matchConditions.travelerConditions.countries` (array)
    Countries.

  - `corporateInfo.preSearchAnswers.answers.question.matchConditions.travelerConditions.legalEntities` (array)
    Legal entities

  - `corporateInfo.preSearchAnswers.answers.question.matchConditions.travelerConditions.legalEntities.id` (string, required)
    Example: b93dc51f-12dd-46c7-b7d6-1cb12cd3f5b3

  - `corporateInfo.preSearchAnswers.answers.question.matchConditions.travelerConditions.legalEntities.name` (string)
    Example: Name

  - `corporateInfo.preSearchAnswers.answers.question.matchConditions.travelerConditions.departments` (array)
    Departments

  - `corporateInfo.preSearchAnswers.answers.question.matchConditions.travelerConditions.costCenters` (array)
    Cost centers

  - `corporateInfo.preSearchAnswers.answers.question.matchConditions.travelerConditions.offices` (array)
    Offices

  - `corporateInfo.preSearchAnswers.answers.question.matchConditions.travelTypes` (array)
    Travel types to match.

  - `corporateInfo.preSearchAnswers.answers.question.matchConditions.travelRegionTypes` (array)
    Travel region types to match.

  - `corporateInfo.preSearchAnswers.answers.question.matchConditions.tripUsageTypes` (array)
    Trip usage types to match. If empty, all trip usage types will be matched.

  - `corporateInfo.preSearchAnswers.answers.question.questionType` (object)
    Question type.

  - `corporateInfo.preSearchAnswers.answers.question.questionType.preSearchQuestionType` (string)
    Types of pre-search questions.
PURPOSE_OF_TRIP required to ask purpose of the trip user is going to. For example: meeting, training, interview.
    Enum: "UNKNOWN_SEARCH_QUESTION_TYPE", "PURPOSE_OF_TRIP"

  - `corporateInfo.preSearchAnswers.answers.question.questionType.preCheckoutQuestionType` (string)
    Types of pre-checkout questions.
USER_DEFINED_QUESTION the default question type for all pre checkout questions which have been created from UI.
OOP_REASON_CODE is kept separate so that existing OOP flow doesn't break.
    Enum: "UNKNOWN_CHECKOUT_QUESTION_TYPE", "USER_DEFINED_QUESTION", "OOP_REASON_CODE"

  - `corporateInfo.preSearchAnswers.userEntitiesResponseId` (string)

  - `corporateInfo.customFieldV3Responses` (array)
    Answers to the company's pre-search custom fields.

  - `corporateInfo.customFieldV3Responses.fieldId` (string, required)
    Custom field id

  - `corporateInfo.customFieldV3Responses.fieldName` (string)
    Name of the custom field

  - `corporateInfo.customFieldV3Responses.armId` (string, required)
    Arm id which is applicable

  - `corporateInfo.customFieldV3Responses.includeLocations` (array)

  - `corporateInfo.customFieldV3Responses.selectedOptions` (array, required)
    The list of options that are selected by user or auto populated.

  - `corporateInfo.customFieldV3Responses.selectedOptions.name` (string, required)
    Value of the selection

  - `corporateInfo.customFieldV3Responses.selectedOptions.translatedName` (string)
    Translated value of the selection

  - `corporateInfo.customFieldV3Responses.selectedOptions.description` (string)
    Description of the selection

  - `corporateInfo.customFieldV3Responses.selectedOptions.translatedDescription` (string)
    Translated description of the selection

  - `corporateInfo.customFieldV3Responses.selectedOptions.additionalUserInput` (string)
    Additional user input

  - `corporateInfo.customFieldV3Responses.selectedOptions.additionalInfos` (array)
    Actual values of the additional infos

  - `corporateInfo.customFieldV3Responses.selectedOptions.additionalInfoConfigs` (array)
    Additional info configs for the selected option

  - `corporateInfo.customFieldV3Responses.selectedOptions.additionalInfoConfigs.type` (string, required)
    Enum: "VARIABLE", "EXPRESSION"

  - `corporateInfo.customFieldV3Responses.selectedOptions.additionalInfoConfigs.name` (string, required)
    Name of the variable.
    Enum: "PUBLISHED_FARE", "LLF", "ADD_COLLECT_AMOUNT", "SELECTED_FARE", "SPLIT_PAYMENT_FARE"

  - `corporateInfo.customFieldV3Responses.selectedOptions.additionalInfoConfigs.formatExpression` (string, required)
    The expression must be of format : `<any_text> ${expression} <any_text>`.The expression
can consist of a combination of variables and mathematical operations.
Variable names must be same as VariableName Enum.
To define mathematical operations, the operation name should follow the format
`math.<math_op>(arg1, arg2)`. Both `arg1` and `arg2` can be variables or constants.
The supported math operations (math_op) include: `add, mul, div, sub, min, and max`. All keywords, such as `<math_op>, math, and var` must be written in lowercase.
    Example: Result:  ${math.mul(LLF,5)}  ${ADD_COLLECT_AMOUNT}

  - `corporateInfo.customFieldV3Responses.selectedOptions.additionalInfoConfigs.variables` (array)
    Reference names of the variables present in the expression.

  - `corporateInfo.customFieldV3Responses.selectedOptions.optionId` (string)
    Id of the selected option; sent by clients, never returned

  - `occupancyDates` (object)

  - `occupancyDates.occupancy` (array, required)
    List of occupancy details including the number of adults and children.

  - `occupancyDates.occupancy.numAdults` (integer, required)
    The number of adults staying in the room.
    Example: 1

  - `occupancyDates.occupancy.numChildren` (integer)
    The number of children staying in the room.
    Example: 0

  - `occupancyDates.checkInDate` (object, required)
    Local date and time in ISO 8601 format.

  - `occupancyDates.checkInDate.iso8601` (string, required)
    Example: 2017-07-21T17:32

  - `filters` (object)
    Filters for hotel details.

  - `filters.rateTypes` (array, required)
    Filter rates based on rate type.

  - `userId` (object)
    An identifier for the user involved in the hotel booking or search process.

  - `userId.userIdType` (string, required)
    Enum: "USER_ID", "REGISTRAR_USER_ID"

  - `userId.userId` (object, required)
    User identifier

  - `userId.userId.id` (string, required)

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `hotelDetailsKey` (string)
    A unique identifier for the hotel details.
    Example: dummy

  - `hotelSpec` (object, required)
    Includes detailed specifications for a hotel, such as name, star rating, address, coordinates, amenities, and other information.

  - `hotelSpec.name` (string, required)
    Name of the hotel.
    Example: London Heathrow Marriott Hotel

  - `hotelSpec.address` (object, required)
    Postal Address Details

  - `hotelSpec.address.addressLines` (array, required)
    Address lines

  - `hotelSpec.address.administrativeArea` (string)
    Code of administrative area. For example: DL for Delhi, India.
Highest administrative subdivision which is used for postal
addresses of a country or region.
For example, this can be a state, a province, an oblast, or a prefecture.
Specifically, for Spain this is the province and not the autonomous
community (e.g. "Barcelona" and not "Catalonia").
Many countries don't use an administrative area in postal addresses. E.g.
in Switzerland this should be left unpopulated.
    Example: CA

  - `hotelSpec.address.administrativeAreaName` (string)
    Name of administrative area. This is full name corresponding to administrativeArea. 
Like Delhi for DL area code. For some places, code and name maybe same as well like Tokyo.
    Example: California

  - `hotelSpec.address.description` (string)
    Address description
    Example: San Francisco Home

  - `hotelSpec.address.isDefault` (boolean)
    Whether this address is default address in case multiple addresses are specified.
    Example: true

  - `hotelSpec.address.languageCode` (string)
    BCP-47 language code of the contents of this address (if known). This is often the UI 
language of the input form or is expected to match one of the languages used in the 
address' country/region, or their transliterated equivalents.
This can affect formatting in certain countries, but is not critical to the correctness 
of the data and will never affect any validation or other non-formatting related operations.
Examples: "zh-Hant", "ja", "ja-Latn", "en".
    Example: en

  - `hotelSpec.address.locality` (string)
    Generally refers to the city/town portion of the address.
    Example: San Francisco

  - `hotelSpec.address.locationCode` (string)
    IATA 3-letter location code. See https://www.iata.org/en/services/codes.
    Example: LAX

  - `hotelSpec.address.organization` (string)
    The name of the organization at the address.
    Example: Spotnana

  - `hotelSpec.address.postalCode` (string)
    Postal code of the address. This is a required field when setting for a user/legal entity/company etc.
    Example: 94130

  - `hotelSpec.address.continentCode` (string)
    2 letter continent code of the continent this address falls in.
    Example: AF

  - `hotelSpec.address.recipients` (array)
    The recipient at the address.

  - `hotelSpec.address.regionCode` (string, required)
    Region code of the country/region of the address.
    Example: US

  - `hotelSpec.address.regionName` (string)
    Region name of the country/region of the address.
    Example: America

  - `hotelSpec.address.revision` (integer)
    Example: 1

  - `hotelSpec.address.sortingCode` (string)
    Additional, country-specific, sorting code. This is not used
in most regions. Where it is used, the value is either a string like
"CEDEX", optionally followed by a number (e.g. "CEDEX 7"), or just a number
alone, representing the "sector code" (Jamaica), "delivery area indicator"
(Malawi) or "post office indicator" (e.g. Côte d'Ivoire).
    Example: Jamaica

  - `hotelSpec.address.sublocality` (string)
    Sublocality of the address. This can be neighborhoods, boroughs, districts.

  - `hotelSpec.address.timezone` (string)
    Time zone of the address.
    Example: America/Los_Angeles

  - `hotelSpec.address.coordinates` (object)
    Latitude and Longitude for a Location

  - `hotelSpec.address.coordinates.latitude` (number, required)
    Latitude of the Location
    Example: 77.1025

  - `hotelSpec.address.coordinates.longitude` (number, required)
    Longitude of the Location
    Example: 28.7041

  - `hotelSpec.contactInfo` (object, required)
    Provides contact information for a hotel.

  - `hotelSpec.contactInfo.phone` (array, required)
    List of phone numbers for the hotel.

  - `hotelSpec.contactInfo.phone.countryCode` (integer)
    two digit country code
    Example: 91

  - `hotelSpec.contactInfo.phone.countryCodeSource` (string)
    Enum: "UNSPECIFIED", "FROM_NUMBER_WITH_PLUS_SIGN", "FROM_NUMBER_WITH_IDD", "FROM_NUMBER_WITHOUT_PLUS_SIGN", "FROM_DEFAULT_COUNTRY"

  - `hotelSpec.contactInfo.phone.extension` (string)
    phone number extension
    Example: 222

  - `hotelSpec.contactInfo.phone.isoCountryCode` (string)
    ISO alpha-2 code
    Example: IN

  - `hotelSpec.contactInfo.phone.italianLeadingZero` (boolean)
    Example: true

  - `hotelSpec.contactInfo.phone.nationalNumber` (integer)
    Example: 8150

  - `hotelSpec.contactInfo.phone.numberOfLeadingZeros` (integer)
    Example: 1

  - `hotelSpec.contactInfo.phone.preferredDomesticCarrierCode` (string)
    Example: 7

  - `hotelSpec.contactInfo.phone.rawInput` (string)
    Example: 77777

  - `hotelSpec.contactInfo.phone.type` (string)
    Enum: "UNKNOWN_TYPE", "MOBILE", "LANDLINE"

  - `hotelSpec.contactInfo.fax` (array)
    List of fax numbers for the hotel.

  - `hotelSpec.contactInfo.email` (array, required)
    List of email addresses for the hotel.

  - `hotelSpec.amenities` (array, required)
    List of hotel amenities.

  - `hotelSpec.amenities.hotelAmenityType` (string, required)
    Enum: "TWENTY_FOUR_HOUR_FRONT_DESK", "TWENTY_FOUR_HOUR_ROOM_SERVICE", "TWENTY_FOUR_HOUR_SECURITY", "ADJOINING_ROOMS", "AIR_CONDITIONING", "AIRLINE_DESK", "ATM_CASH_MACHINE", "BABY_SITTING", "BBQ_PICNIC_AREA", "BILINGUAL_STAFF", "BOOKSTORE", "BOUTIQUES_STORES", "BRAILED_ELEVATORS", "BUSINESS_LIBRARY", "CAR_RENTAL_DESK", "CASINO", "CHECK_CASHING_POLICY", "CHECK_IN_KIOSK", "COCKTAIL_LOUNGE", "COFFEE_SHOP", "COIN_OPERATED_LAUNDRY", "CONCIERGE_DESK", "CONCIERGE_FLOOR", "CONFERENCE_FACILITIES", "COURTYARD", "CURRENCY_EXCHANGE", "DESK_WITH_ELECTRICAL_OUTLET", "DOCTOR_ON_CALL", "DOOR_MAN", "DRIVING_RANGE", "DRUGSTORE_PHARMACY", "DUTY_FREE_SHOP", "ELEVATORS", "EXECUTIVE_FLOOR", "EXERCISE_GYM", "EXPRESS_CHECK_IN", "EXPRESS_CHECK_OUT", "FAMILY_PLAN", "FLORIST", "FOLIOS", "FREE_AIRPORT_SHUTTLE", "FREE_PARKING", "FREE_TRANSPORTATION", "GAME_ROOM", "GIFT_NEWS_STAND", "HAIRDRESSER_BARBER", "ACCESSIBLE_FACILITIES", "HEALTH_CLUB", "HEATED_POOL", "HOUSEKEEPING_DAILY", "HOUSEKEEPING_WEEKLY", "ICE_MACHINE", "INDOOR_PARKING", "INDOOR_POOL", "JACUZZI", "JOGGING_TRACK", "KENNELS", "LAUNDRY_VALET_SERVICE", "LIQUOR_STORE", "LIVE_ENTERTAINMENT", "MASSAGE_SERVICES", "NIGHTCLUB", "OFF_SITE_PARKING", "ON_SITE_PARKING", "OUTDOOR_PARKING", "OUTDOOR_POOL", "PACKAGE_PARCEL_SERVICES", "PARKING", "PHOTOCOPY_CENTER", "PLAYGROUND", "POOL", "POOLSIDE_SNACK_BAR", "PUBLIC_ADDRESS_SYSTEM", "RAMP_ACCESS", "RECREATIONAL_VEHICLE_PARKING", "RESTAURANT", "ROOM_SERVICE", "SAFE_DEPOSIT_BOX", "SAUNA", "SECURITY", "SHOE_SHINE_STAND", "SHOPPING_MALL", "SOLARIUM", "SPA", "SPORTS_BAR", "STEAM_BATH", "STORAGE_SPACE", "SUNDRY_CONVENIENCE_STORE", "TECHNICAL_CONCIERGE", "THEATRE_DESK", "TOUR_SIGHTSEEING_DESK", "TRANSLATION_SERVICES", "TRAVEL_AGENCY", "TRUCK_PARKING", "VALET_CLEANING", "DRY_CLEANING", "VALET_PARKING", "VENDING_MACHINES", "VIDEO_TAPES", "WAKEUP_SERVICE", "WHEELCHAIR_ACCESS", "WHIRLPOOL", "MULTILINGUAL_STAFF", "WEDDING_SERVICES", "BANQUET_FACILITIES", "BELL_STAFF_PORTER", "BEAUTY_SHOP_SALON", "COMPLIMENTARY_SELF_SERVICE_LAUNDRY", "DIRECT_DIAL_TELEPHONE", "FEMALE_TRAVELER_ROOM_FLOOR", "PHARMACY", "STABLES", "ONE_TWENTY_AC", "ONE_TWENTY_DC", "TWO_TWENTY_AC", "ACCESSIBLE_PARKING", "TWO_TWENTY_DC", "BARBEQUE_GRILLS", "WOMENS_CLOTHING", "MENS_CLOTHING", "CHILDRENS_CLOTHING", "SHOPS_AND_COMMERCIAL_SERVICES", "VIDEO_GAMES", "SPORTS_BAR_OPEN_FOR_LUNCH", "SPORTS_BAR_OPEN_FOR_DINNER", "ROOM_SERVICE_FULL_MENU", "ROOM_SERVICE_LIMITED_MENU", "ROOM_SERVICE_LIMITED_HOURS", "VALET_SAME_DAY_DRY_CLEANING", "BODY_SCRUB", "BODY_WRAP", "PUBLIC_AREA_AIR_CONDITIONED", "EFOLIO_AVAILABLE_TO_COMPANY", "INDIVIDUAL_EFOLIO_AVAILABLE", "VIDEO_REVIEW_BILLING", "BUTLER_SERVICE", "COMPLIMENTARY_IN_ROOM_COFFEE_OR_TEA", "COMPLIMENTARY_BUFFET_BREAKFAST", "COMPLIMENTARY_COCKTAILS", "COMPLIMENTARY_COFFEE_IN_LOBBY", "COMPLIMENTARY_CONTINENTAL_BREAKFAST", "COMPLIMENTARY_FULL_AMERICAN_BREAKFAST", "DINNER_DELIVERY_SERVICE_FROM_LOCAL_RESTAURANT", "COMPLIMENTARY_NEWSPAPER_DELIVERED_TO_ROOM", "COMPLIMENTARY_NEWSPAPER_IN_LOBBY", "COMPLIMENTARY_SHOESHINE", "EVENING_RECEPTION", "FRONT_DESK", "GROCERY_SHOPPING_SERVICE_AVAILABLE", "HALAL_FOOD_AVAILABLE", "KOSHER_FOOD_AVAILABLE", "LIMOUSINE_SERVICE", "MANAGERS_RECEPTION", "MEDICAL_FACILITIES_SERVICE", "TELEPHONE_JACK_ADAPTOR_AVAILABLE", "ALL_INCLUSIVE_MEAL_PLAN", "BUFFET_BREAKFAST", "COMMUNAL_BAR_AREA", "CONTINENTAL_BREAKFAST", "FULL_MEAL_PLAN", "FULL_AMERICAN_BREAKFAST", "MEAL_PLAN_AVAILABLE", "MODIFIED_AMERICAN_MEAL_PLAN", "FOOD_AND_BEVERAGE_OUTLETS", "LOUNGES_BARS", "BARBER_SHOP", "VIDEO_CHECKOUT", "ONSITE_LAUNDRY", "TWENTY_FOUR_HOUR_FOOD_AND_BEVERAGE_KIOSK", "CONCIERGE_LOUNGE", "PARKING_FEE_MANAGED_BY_HOTEL", "TRANSPORTATION", "BREAKFAST_SERVED_IN_RESTAURANT", "LUNCH_SERVED_IN_RESTAURANT", "DINNER_SERVED_IN_RESTAURANT", "FULL_SERVICE_HOUSEKEEPING", "LIMITED_SERVICE_HOUSEKEEPING", "HIGH_SPEED_INTERNET_ACCESS_FOR_LAPTOP_IN_PUBLIC_AREAS", "WIRELESS_INTERNET_CONNECTION_IN_PUBLIC_AREAS", "ADDITIONAL_SERVICES_AMENITIES_FACILITIES_ON_PROPERTY", "TRANSPORTATION_SERVICES_LOCAL_AREA", "TRANSPORTATION_SERVICES_LOCAL_OFFICE", "DVD_VIDEO_RENTAL", "PARKING_LOT", "PARKING_DECK", "STREET_SIDE_PARKING", "COCKTAIL_LOUNGE_WITH_ENTERTAINMENT", "COCKTAIL_LOUNGE_WITH_LIGHT_FARE", "MOTORCYCLE_PARKING", "PHONE_SERVICES", "BALLROOM", "BUS_PARKING", "CHILDRENS_PLAY_AREA", "CHILDRENS_NURSERY", "DISCO", "EARLY_CHECK_IN", "LOCKER_ROOM", "NON_SMOKING_ROOMS_GENERIC", "TRAIN_ACCESS", "AEROBICS_INSTRUCTION", "BAGGAGE_HOLD", "BICYCLE_RENTALS", "DIETICIAN", "LATE_CHECK_OUT_AVAILABLE", "PET_SITTING_SERVICES", "PRAYER_MATS", "SPORTS_TRAINER", "TURNDOWN_SERVICE", "DVDS_VIDEOS_CHILDREN", "BANK", "LOBBY_COFFEE_SERVICE", "BANKING_SERVICES", "STAIRWELLS", "PET_AMENITIES_AVAILABLE", "EXHIBITION_CONVENTION_FLOOR", "LONG_TERM_PARKING", "CHILDREN_NOT_ALLOWED", "CHILDREN_WELCOME", "COURTESY_CAR", "HOTEL_DOES_NOT_PROVIDE_PORNOGRAPHIC_FILMS_TV", "HOTSPOTS", "FREE_HIGH_SPEED_INTERNET_CONNECTION", "INTERNET_SERVICES", "PETS_ALLOWED", "GOURMET_HIGHLIGHTS", "CATERING_SERVICES", "COMPLIMENTARY_BREAKFAST", "BUSINESS_CENTER", "BUSINESS_SERVICES", "SECURED_PARKING", "RACQUETBALL", "SNOW_SPORTS", "TENNIS_COURT", "WATER_SPORTS", "CHILD_PROGRAMS", "GOLF", "HORSEBACK_RIDING", "OCEANFRONT", "BEACHFRONT", "HAIR_DRYER", "IRONING_BOARD", "HEATED_GUEST_ROOMS", "TOILET", "PARLOR", "VIDEO_GAME_PLAYER", "THALASSOTHERAPY", "PRIVATE_DINING_FOR_GROUPS", "HEARING_IMPAIRED_SERVICES", "CARRYOUT_BREAKFAST", "DELUXE_CONTINENTAL_BREAKFAST", "HOT_CONTINENTAL_BREAKFAST", "HOT_BREAKFAST", "PRIVATE_POOL", "CONNECTING_ROOMS", "DATA_PORT", "EXTERIOR_CORRIDORS", "GULF_VIEW", "ACCESSIBLE_ROOMS", "HIGH_SPEED_INTERNET_ACCESS", "INTERIOR_CORRIDORS", "HIGH_SPEED_WIRELESS", "KITCHENETTE", "PRIVATE_BATH_OR_SHOWER", "FIRE_SAFETY_COMPLIANT", "WELCOME_DRINK", "BOARDING_PASS_PRINT_OUT_AVAILABLE", "PRINTING_SERVICES_AVAILABLE", "ALL_PUBLIC_AREAS_NON_SMOKING", "MEETING_ROOMS", "MOVIES_IN_ROOM", "SECRETARIAL_SERVICE", "SNOW_SKIING", "WATER_SKIING", "FAX_SERVICE", "GREAT_ROOM", "LOBBY", "MULTIPLE_PHONE_LINES_BILLED_SEPARATELY", "UMBRELLAS", "GAS_STATION", "GROCERY_STORE", "TWENTY_FOUR_HOUR_COFFEE_SHOP", "AIRPORT_SHUTTLE_SERVICE", "LUGGAGE_SERVICE", "PIANO_BAR", "VIP_SECURITY", "COMPLIMENTARY_WIRELESS_INTERNET", "CONCIERGE_BREAKFAST", "SAME_GENDER_FLOOR", "CHILDREN_PROGRAMS", "BUILDING_MEETS_LOCAL_STATE_AND_COUNTRY_BUILDING_CODES", "INTERNET_BROWSER_ON_TV", "NEWSPAPER", "PARKING_CONTROLLED_ACCESS_GATES_TO_ENTER_PARKING_AREA", "HOTEL_SAFE_DEPOSIT_BOX_NOT_ROOM_SAFE_BOX", "STORAGE_SPACE_AVAILABLE_FEE", "TYPE_OF_ENTRANCES_TO_GUEST_ROOMS", "BEVERAGE_COCKTAIL", "CELL_PHONE_RENTAL", "COFFEE_TEA", "EARLY_CHECK_IN_GUARANTEE", "FOOD_AND_BEVERAGE_DISCOUNT", "LATE_CHECK_OUT_GUARANTEE", "ROOM_UPGRADE_CONFIRMED", "ROOM_UPGRADE_ON_AVAILABILITY", "SHUTTLE_TO_LOCAL_BUSINESSES", "SHUTTLE_TO_LOCAL_ATTRACTIONS", "SOCIAL_HOUR", "VIDEO_BILLING", "WELCOME_GIFT", "HYPOALLERGENIC_ROOMS", "ROOM_AIR_FILTRATION", "SMOKE_FREE_PROPERTY", "WATER_PURIFICATION_SYSTEM_IN_USE", "POOLSIDE_SERVICE", "CLOTHING_STORE", "ELECTRIC_CAR_CHARGING_STATIONS", "OFFICE_RENTAL", "PIANO", "INCOMING_FAX", "OUTGOING_FAX", "SEMI_PRIVATE_SPACE", "LOADING_DOCK", "BABY_KIT", "CHILDRENS_BREAKFAST", "CLOAKROOM_SERVICE", "COFFEE_LOUNGE", "EVENTS_TICKET_SERVICE", "LATE_CHECK_IN", "LIMITED_PARKING", "OUTDOOR_SUMMER_BAR_CAFE", "NO_PARKING_AVAILABLE", "BEER_GARDEN", "GARDEN_LOUNGE_BAR", "SUMMER_TERRACE", "WINTER_TERRACE", "ROOF_TERRACE", "BEACH_BAR", "HELICOPTER_SERVICE", "FERRY", "TAPAS_BAR", "CAFE_BAR", "SNACK_BAR", "GUESTROOM_WIRED_INTERNET", "GUESTROOM_WIRELESS_INTERNET", "FITNESS_CENTER", "ALCOHOLIC_BEVERAGES", "NON_ALCOHOLIC_BEVERAGES", "HEALTH_AND_BEAUTY_SERVICES", "LOCAL_CALLS", "MINIBAR", "REFRIGERATOR", "IN_ROOM_SAFE", "SMOKING_ROOMS_AVAILBLE", "MOUNTAIN_VIEW", "POOL_VIEW", "BEACH_VIEW", "OCEAN_VIEW", "ROOMS_WITH_BALCONY", "FAMILY_ROOM", "CRIB_CHARGE", "ROLLAWAY_ADULT", "FREE_WIFI_IN_MEETING_ROOMS", "ECO_FRIENDLY", "EXTRA_PERSON", "STAY_SAFE", "ENHANCED_HYGIENE_CLEANLINESS_PROTOCOLS"

  - `hotelSpec.amenities.additionalInfo` (string)
    Amenity description
    Example: Complimentary in-room coffee or tea

  - `hotelSpec.amenities.isComplimentary` (boolean)
    Is Amenity complimentary
    Example: true

  - `hotelSpec.descriptions` (array)
    List of hotel descriptions.

  - `hotelSpec.descriptions.type` (string)
    Hotel description type
    Enum: "GENERAL", "ALERTS", "DINING", "FACILITIES", "RECREATION", "SERVICES", "ATTRACTIONS", "CANCELLATION_POLICY", "DEPOSIT_POLICY", "DIRECTIONS", "POLICIES", "SAFETY", "TRANSPORTATION"

  - `hotelSpec.descriptions.value` (string)
    Hotel description value

  - `hotelSpec.imageSets` (array)
    List of hotel image sets.

  - `hotelSpec.imageSets.category` (string, required)
    Category of image such as exterior, spa, etc.
    Enum: "UNKNOWN_CATEGORY", "EXTERIOR_VIEW", "LOBBY_VIEW", "POOL_VIEW", "RESTAURANT", "HEALTH_CLUB", "GUEST_ROOM", "SUITE", "MEETING_ROOM", "BALLROOM", "GOLF_COURSE", "BEACH", "SPA", "BAR_OR_LOUNGE", "RECREATIONAL_FACILITY", "LOGO", "BASICS", "MAP", "PROMOTIONAL", "HOT_NEWS", "MISCELLANEOUS", "GUEST_ROOM_AMENITY", "PROPERTY_AMENITY", "BUSINESS_CENTER"

  - `hotelSpec.imageSets.imageGroup` (object, required)
    Contains different sizes of the same image.

  - `hotelSpec.imageSets.imageGroup.caption` (string)
    Caption for the image.
    Example: Exterior

  - `hotelSpec.imageSets.imageGroup.images` (array, required)
    List of images.

  - `hotelSpec.imageSets.imageGroup.images.data` (string)
    Example: 6935813e12584abda0e43d71cd2ea260

  - `hotelSpec.imageSets.imageGroup.images.dimensions` (object)
    Image dimensions ie width and height.

  - `hotelSpec.imageSets.imageGroup.images.dimensions.height` (integer)
    Example: 120

  - `hotelSpec.imageSets.imageGroup.images.dimensions.width` (integer)
    Example: 240

  - `hotelSpec.imageSets.imageGroup.images.url` (string)
    Example: https://static.wixstatic.com/media/73f2e2_6935813e12584abda0e43d71cd2ea260~mv2.png/v1/fill/w_630,h_94,al_c,q_85,usm_0.66_1.00_0.01/Spotnana%403x.webp

  - `hotelSpec.imageSets.imageGroup.images.metadata` (object)
    Metadata associated with an image.

  - `hotelSpec.imageSets.imageGroup.images.metadata.variant` (string)
    Image variant.
    Enum: "LIGHT", "DARK"

  - `hotelSpec.hotelId` (string, required)
    Unique hotel identifier.
    Example: SPOTNANA:1001

  - `hotelSpec.brandCode` (string)
    The code of hotel brand.
    Example: MC

  - `hotelSpec.brandName` (string)
    Brand name of the hotel.
    Example: Marriott Hotel Brands

  - `hotelSpec.chainCode` (string)
    The code of hotel chain.
    Example: EM

  - `hotelSpec.chainName` (string)
    Name of the hotel chain.
    Example: Marriott Hotels & Resorts

  - `hotelSpec.propertyTypes` (array, required)
    List of property types for the hotel.

  - `hotelSpec.propertyTypes.type` (string, required)
    Enum: "ALL_SUITE", "ALL_INCLUSIVE_RESORT", "APARTMENT", "BED_AND_BREAKFAST", "CABIN_OR_BUNGALOW", "CAMPGROUND", "CHALET", "CONDOMINIUM", "CONFERENCE_CENTER", "CORPORATE_BUSINESS_TRANSIENT", "CRUISE", "EXTENDED_STAY", "GUEST_FARM", "GUEST_HOUSE_LIMITED_SERVICE", "HEALTH_SPA", "HOLIDAY_RESORT", "HOSTEL", "HOTEL", "INN", "LODGE", "MONASTERY", "MOTEL", "RANCH", "RESIDENTIAL_APARTMENT", "RESORT", "TENT", "VACATION_HOME", "VILLA", "WILDLIFE_RESERVE", "CASTLE", "GOLF", "PENSION", "SKI", "SPA", "BOATEL", "HISTORICAL", "RECREATIONAL_VEHICLE_PARK", "CHARM_HOTEL", "OTHER"

  - `hotelSpec.propertyTypes.description` (string)
    Description of the property type.

  - `hotelSpec.starRating` (object, required)
    Details about hotel star rating.

  - `hotelSpec.starRating.starRating` (number, required)
    Star rating of the hotel.
    Example: 3

  - `hotelSpec.starRating.ratingType` (string, required)
    Enum representing the type of star rating.
    Enum: "OFFICIAL", "SELF_RATED"

  - `hotelSpec.additionalAmenities` (array)
    Additional amenities provided by the hotel.

  - `hotelSpec.checkinTime` (object)
    ISO8601 Local Time

  - `hotelSpec.checkinTime.iso8601` (string, required)
    Example: 17:32

  - `hotelSpec.vpayInfo` (object)
    Whether a property accepts virtual pay, and how reliably. Absent when there is no virtual pay information for the property, which reads as not accepted.

  - `hotelSpec.vpayInfo.vpayAccepted` (boolean, required)
    True when the property is known to accept virtual pay.
    Example: true

  - `hotelSpec.vpayInfo.vpayScore` (integer)
    Reliability score, 1-10. Higher is more reliable. Never contradicts vpayAccepted, so 0 means accepted with no score available rather than not accepted.
    Example: 9

  - `rooms` (array, required)
    List of available rooms in the hotel.

  - `rooms.description` (string, required)
    A detailed description of the hotel room.

  - `rooms.rateOptions` (array, required)
    A list of rate options available for the hotel room.

  - `rooms.rateOptions.bedInfos` (array, required)
    Information about the beds in the room.

  - `rooms.rateOptions.bedInfos.bedCount` (integer)
    Number of beds.
    Example: 1

  - `rooms.rateOptions.bedInfos.bedType` (string)
    Bed types.
    Enum: "UNKNOWN_BED_TYPE", "DOUBLE", "FUTON", "KING", "MURPHY", "QUEEN", "SOFA", "TATAMI_MATS", "TWIN", "SINGLE", "FULL", "RUN_OF_THE_HOUSE", "DORM", "WATER", "PULL_OUT", "TWIN_XL"

  - `rooms.rateOptions.priceValidateKey` (string, required)
    A key used to validate the price.

  - `rooms.rateOptions.description` (string, required)
    A description of the rate option.

  - `rooms.rateOptions.rateInfo` (object, required)
    Information about a hotel rate.

  - `rooms.rateOptions.rateInfo.rateSource` (string, required)
    The source of the rate.
    Enum: "SABRE", "BOOKING_COM", "EXPEDIA", "OFFLINE", "HRS", "BCD", "QANTAS_HOTELS", "HOTEL_HUB", "MARRIOTT", "AMADEUS", "TRAVELODGE", "PREMIER_INN", "HYATT", "HILTON"

  - `rooms.rateOptions.rateInfo.totalRate` (object, required)
    Rate details for hotel room

  - `rooms.rateOptions.rateInfo.totalRate.base` (object, required)
    Money object containing details such as the amount, the currency code, and the converted amount.

  - `rooms.rateOptions.rateInfo.totalRate.base.amount` (number, required)
    The numeric value for the amount of money.
    Example: 510

  - `rooms.rateOptions.rateInfo.totalRate.base.currencyCode` (string, required)
    The 3-letter currency code for the money amount (defined using ISO 4217 standard).
    Example: GBP

  - `rooms.rateOptions.rateInfo.totalRate.base.convertedAmount` (number)
    The converted currency and amount that has been converted (if a currency conversion has been requested).
For example, if the call requests that money be sent in a specified currency (because the frontend requested
the backend to send money in the user's preferred currency).
    Example: 715.42

  - `rooms.rateOptions.rateInfo.totalRate.base.convertedCurrency` (string)
    The 3-letter currency code for the converted currency (defined using ISO 4217 standard).
    Example: USD

  - `rooms.rateOptions.rateInfo.totalRate.base.otherCoinage` (array)
    List of the dollar amount in other coinage systems like reward points, cryptocurrency etc.

  - `rooms.rateOptions.rateInfo.totalRate.base.otherCoinage.coinageCode` (string)
    Payment method
    Enum: "PAYMENT_METHOD_UNKNOWN", "CREDIT_CARD", "BREX_POINTS", "CASH", "QANTAS_POINTS", "VENDOR_PROGRAM_PAYMENT", "DELAYED_INVOICING", "FLIGHT_CREDITS", "QANTAS_TRAVEL_FUND", "CUSTOM_VIRTUAL_PAYMENT", "FLIGHT_PASS", "MISCELLANEOUS_CREDIT_ORDER", "NO_PREPAYMENT"

  - `rooms.rateOptions.rateInfo.totalRate.base.otherCoinage.amount` (number)
    Example: 1000

  - `rooms.rateOptions.rateInfo.totalRate.base.otherCoinage.conversionRate` (number)
    1 coin in this system equals to how many currency value
    Example: 0.01

  - `rooms.rateOptions.rateInfo.totalRate.base.otherCoinage.preferredCurrencyConversionRate` (number)
    1 coin in this system equals to how many currency value
    Example: 0.01

  - `rooms.rateOptions.rateInfo.totalRate.base.otherCoinage.otherCoinageMetadata` (any)
    Metadata to store additional information related to the payment method

  - `rooms.rateOptions.rateInfo.totalRate.roomFees` (array)

  - `rooms.rateOptions.rateInfo.totalRate.roomFees.feeInclusions` (array)
    Amenities included as part of the fee

  - `rooms.rateOptions.rateInfo.totalRate.roomFees.displayFee` (boolean)
    Flag to determine whether to explicitly show this fee type on UI

  - `rooms.rateOptions.rateInfo.totalRate.roomFees.feeType` (string)
    Fees Type
    Enum: "UNKNOWN", "BED_TAX", "CITY_HOTEL_FEE", "CITY_TAX", "COUNTRY_TAX", "ENERGY_TAX", "FEDERAL_TAX", "FOOD_AND_BEVERAGE_TAX", "LODGING_TAX", "MAINTENANCE_FEE", "OCCUPANCY_TAX", "PACKAGE_FEE", "RESORT_FEE", "SALES_TAX", "SERVICE_CHARGE", "STATE_TAX", "SURCHARGE", "TOTAL_TAX", "TOURISM_TAX", "VAT_GST_TAX", "SURPLUS_LINES_TAX", "INSURANCE_PREMIUM_TAX", "APPLICATON_FEE", "EXPRESS_HANDLING_FEE", "EXEMPT", "STANDARD", "ZERO_RATED", "MISCELLANEOUS", "ROOM_TAX", "EARLY_CHECKOUT_FEE", "COUNTRY_TAXES", "EXTRA_PERSON_CHARGE", "BANQUET_SERVICE_FEE", "ROOM_SERVICE_FEE", "LOCAL_FEE", "GOODS_AND_SERVICES_TAX", "VALUE_ADDED_TAX", "CRIB_FEE", "ROLLAWAY_FEE", "ASSESSMENT_LICENSE_TAX", "PET_SANITATION_FEE", "NOT_KNOWN", "CHILD_ROLLAWAY_CHARGE", "CONVENTION_TAX", "EXTRA_CHILD_CHARGE", "STANDARD_FOOD_AND_BEVERAGE_GRATUITY", "NATIONAL_GOVERNMENT_TAX", "ADULT_ROLLAWAY_FEE", "BEVERAGE_WITH_ALCOHOL", "BEVERAGE_WITHOUT_ALCOHOL", "TOBACCO", "FOOD", "TOTAL_SURCHARGES", "STATE_COST_RECOVERY_FEE", "MISCELLANEOUS_FEE", "DESTINATION_AMENITY_FEE", "REFUNDABLE_PET_FEE", "CHARITY_SUPPORT_FEE", "LOCAL_AMENITY_USAGE_MAINTENANCE_FEE", "CONVENTION_TOURISM_FEE", "DESTINATION_MARKETING_FEE", "HOTEL_DEVELOPMENT_FEE", "EVENT_FEE", "SUSTAINABILITY_FEE", "TRANSPORTATION_TRANSFER_FEE", "INSURANCE_FEE", "LOCAL_GOVERNMENT_FEE", "LOCAL_ORDINANCE_SURCHARGE", "GUARANTEED_EARLY_CHECK_IN_FEE", "GUARANTEED_LATE_CHECK_OUT_FEE", "MODIFICATION_FEE", "HOTEL_ANCILLARY_EARLY_CHECK_IN_FEE", "HOTEL_ANCILLARY_LATE_CHECK_OUT_FEE", "HOTEL_ANCILLARY_PET_FEE", "HOTEL_ANCILLARY_WIFI_FEE", "HOTEL_ANCILLARY_BREAKFAST_FEE", "HOTEL_ANCILLARY_PARKING_FEE", "HOTEL_ANCILLARY_MEAL_PLAN_FEE", "ACCESSIBILITY_EQUIPMENT_FEE", "TOURISM_MARKETING_FEE"

  - `rooms.rateOptions.rateInfo.totalRate.commission` (object)
    Commision on rate

  - `rooms.rateOptions.rateInfo.totalRate.commission.commissionPercent` (number)
    Commission percentage
    Example: 7.5

  - `rooms.rateOptions.rateInfo.totalRate.taxBreakdown` (array)

  - `rooms.rateOptions.rateInfo.totalRate.taxBreakdown.taxCode` (string)
    Tax code
    Example: VAT

  - `rooms.rateOptions.rateInfo.totalRate.taxBreakdown.percentage` (number)
    Tax amount to total amount
    Example: 9

  - `rooms.rateOptions.rateInfo.totalRate.taxBreakdown.description` (string)
    Tax name or Tax Description
    Example: AIR TRAVELLERS SECURITY CHARGE

  - `rooms.rateOptions.rateInfo.totalRate.includesCommission` (boolean)
    Whether the rate includes commission
    Example: false

  - `rooms.rateOptions.rateInfo.rateType` (string, required)
    Enum: "PUBLISHED", "CORPORATE", "SPOTNANA", "REGULAR", "AAA", "AARP", "SENIOR_CITIZEN", "GOVERNMENT", "MILITARY", "MEMBERSHIP", "BEST_AVAILABLE_RATE", "TMC"

  - `rooms.rateOptions.rateInfo.nightlyRate` (array, required)
    The nightly rate for the room.

  - `rooms.rateOptions.rateInfo.ratePlanName` (string, required)
    The name of the rate plan.

  - `rooms.rateOptions.rateInfo.isCvvRequired` (boolean, required)
    Indicates if CVV is required for payment.

  - `rooms.rateOptions.rateInfo.rateSupplier` (string, required)
    Enum: "UNKNOWN_SOURCE", "SABRE", "TRAVEL_FUSION", "AVIA", "NDC", "TRAINLINE", "ATPCO_NDC", "FARELOGIX_NDC", "OFFLINE", "CONNEXUS", "ROUTEHAPPY", "AMADEUS", "GIATA", "QBR", "BCD", "QANTAS_HOTELS", "SOUTHWEST", "EXPEDIA", "HOTEL_HUB", "MARRIOTT", "CLEARTRIP", "KYTE", "GROUNDSPAN", "SABRE_NDC", "BOOKING_COM", "CARTRAWLER", "PREMIER_INN", "TRAVELODGE", "ENTERPRISE", "HYATT", "HILTON", "EUROSTAR", "NATIONAL", "ALAMO", "AVIS", "BUDGET", "HERTZ", "DOLLAR", "THRIFTY", "FIREFLY", "AMADEUS_NDC", "SIXT"

  - `rooms.rateOptions.rateInfo.rateTag` (string)
    A tag associated with the rate.

  - `rooms.rateOptions.meals` (object)
    Meal details for the room

  - `rooms.rateOptions.meals.mealsIncluded` (array)

  - `rooms.rateOptions.meals.mealType` (string, required)
    Type of meal plan
    Enum: "UNKNOWN", "ALL_INCLUSIVE", "AMERICAN", "BED_AND_BREAKFAST", "BUFFET_BREAKFAST", "CARIBBEAN_BREAKFAST", "CONTINENTAL_BREAKFAST", "ENGLISH_BREAKFAST", "EUROPEAN_PLAN", "FAMILY_PLAN", "FULL_BOARD", "FULL_BREAKFAST", "HALF_BOARD_MODIFIED_AMERICAN_PLAN", "AS_BROCHURED", "ROOM_ONLY", "SELF_CATERING", "BERMUDA", "DINNER_BED_AND_BREAKFAST_PLAN", "FAMILY_AMERICAN", "BREAKFAST_MEAL_PLAN", "MODIFIED", "LUNCH_MEAL_PLAN", "DINNER_MEAL_PLAN", "BREAKFAST_AND_LUNCH"

  - `rooms.rateOptions.amenities` (array, required)
    A list of amenities included with the rate.

  - `rooms.rateOptions.amenities.additionalInfo` (string)
    Extra information about the room amenity

  - `rooms.rateOptions.amenities.complimentary` (boolean)
    Is amenity complimentary
    Example: true

  - `rooms.rateOptions.amenities.type` (string)
    Room amenity type
    Enum: "UNKNOWN", "ADJOINING_ROOMS", "AIR_CONDITIONING", "ALARM_CLOCK", "ALL_NEWS_CHANNEL", "AM_FM_RADIO", "BABY_LISTENING_DEVICE", "BALCONY_LANAI_TERRACE", "BARBEQUE_GRILLS", "BATH_TUB_WITH_SPRAY_JETS", "BATHROBE", "BATHROOM_AMENITIES", "BATHROOM_TELEPHONE", "BATHTUB", "BATHTUB_ONLY", "BATHTUB_SHOWER_COMBINATION", "BIDET", "BOTTLED_WATER", "CABLE_TELEVISION", "COFFEE_TEA_MAKER", "COLOR_TELEVISION", "COMPUTER", "CONNECTING_ROOMS", "CONVERTERS_VOLTAGE_ADAPTORS", "COPIER", "CORDLESS_PHONE", "CRIBS", "DATA_PORT", "DESK", "DESK_WITH_LAMP", "DINING_GUIDE", "DIRECT_DIAL_PHONE_NUMBER", "DISHWASHER", "DOUBLE_BEDS", "DUAL_VOLTAGE_OUTLET", "ELECTRICAL_CURRENT_VOLTAGE", "ERGONOMIC_CHAIR", "EXTENDED_PHONE_CORD", "FAX_MACHINE", "FIRE_ALARM", "FIRE_ALARM_WITH_LIGHT", "FIREPLACE", "FREE_TOLL_FREE_CALLS", "FREE_CALLS", "FREE_CREDIT_CARD_ACCESS_CALLS", "FREE_LOCAL_CALLS", "FREE_MOVIES_VIDEO", "FULL_KITCHEN", "GRAB_BARS_IN_BATHROOM", "GRECIAN_TUB", "HAIRDRYER", "HIGH_SPEED_INTERNET_CONNECTION", "INTERACTIVE_WEB_TV", "INTERNATIONAL_DIRECT_DIALING", "INTERNET_ACCESS", "IRON", "IRONING_BOARD", "WHIRPOOL", "KING_BED", "KITCHEN", "KITCHEN_SUPPLIES", "KITCHENETTE", "KNOCK_LIGHT", "LAPTOP", "LARGE_DESK", "LARGE_WORK_AREA", "LAUNDRY_BASKET_CLOTHES_HAMPER", "LOFT", "MICROWAVE", "MINIBAR", "MODEM", "MODEM_JACK", "MULTILINE_PHONE", "NEWSPAPER", "NONSMOKING", "NOTEPADS", "OFFICE_SUPPLIES", "OVEN", "PAY_PER_VIEW_MOVIES_ON_TV", "PENS", "PHONE_IN_BATHROOM", "PLATES_AND_BOWLS", "POTS_AND_PANS", "PRAYER_MATS", "PRINTER", "PRIVATE_BATHROOM", "QUEEN_BED", "RECLINER", "REFRIGERATOR", "REFRIGERATOR_WITH_ICE_MAKER", "REMOTE_CONTROL_TELEVISION", "ROLLAWAY_BED", "SAFE", "SCANNER", "SEPARATE_CLOSET", "SEPARATE_MODEM_LINE_AVAILABLE", "SHOE_POLISHER", "SHOWER_ONLY", "SILVERWARE_UTENSILS", "SITTING_AREA", "SMOKE_DETECTORS", "SMOKING", "SOFA_BED", "SPEAKER_PHONE", "STEREO", "STOVE", "TAPE_RECORDER", "TELEPHONE", "TELEPHONE_FOR_HEARING_IMPAIRED", "TELEPHONES_WITH_MESSAGE_LIGHT", "TOASTER_OVEN", "TROUSER_PANT_PRESS", "TURN_DOWN_SERVICE", "TWIN_BED", "VAULTED_CEILINGS", "VCR_MOVIES", "VCR_PLAYER", "VIDEO_GAMES_AMENITY", "VOICE_MAIL", "WAKEUP_CALLS", "WATER_CLOSET", "WATER_PURIFICATION_SYSTEM", "WET_BAR", "WIRELESS_INTERNET_CONNECTION", "WIRELESS_KEYBOARD", "ADAPTOR_AVAILABLE_FOR_TELEPHONE_PC_USE", "AIR_CONDITIONING_INDIVIDUALLY_CONTROLLED_IN_ROOM", "BATHTUB_ANDWHIRLPOOL_SEPARATE", "TELEPHONE_WITH_DATA_PORTS", "CD_PLAYER", "COMPLIMENTARY_LOCAL_CALLS_TIME_LIMIT", "EXTRA_PERSON_CHARGE_FOR_ROLLAWAY_USE", "DOWN_FEATHER_PILLOWS", "DESK_WITH_ELECTRICAL_OUTLET", "ESPN_AVAILABLE", "FOAM_PILLOWS", "HBO_AVAILABLE", "HIGH_CEILINGS", "MARBLE_BATHROOM", "LIST_OF_MOVIE_CHANNELS_AVAILABLE", "PETS_ALLOWED", "OVERSIZED_BATHTUB", "SHOWER", "SINK_INROOM", "SOUNDPROOFED_ROOM", "STORAGE_SPACE", "TABLES_AND_CHAIRS", "TWOLINE_PHONE", "WALKIN_CLOSET", "WASHER_DRYER", "WEIGHT_SCALE", "WELCOME_GIFT", "SPARE_ELECTRICAL_OUTLET_AVAILABLE_AT_DESK", "NONREFUNDABLE_CHARGE_FOR_PETS", "REFUNDABLE_DEPOSIT_FOR_PETS", "SEPARATE_TUB_AND_SHOWER", "ENTRANCE_TYPE_TO_GUEST_ROOM", "CEILING_FAN", "CNN_AVAILABLE", "ELECTRICAL_ADAPTORS_AVAILABLE", "BUFFET_BREAKFAST", "ACCESSIBLE_ROOM", "CLOSETS_IN_ROOM", "DVD_PLAYER", "MINIREFRIGERATOR", "SEPARATE_LINE_BILLING_FOR_MULTILINE_PHONE", "SELFCONTROLLED_HEATING_COOLING_SYSTEM", "TOASTER", "ANALOG_DATA_PORT", "COLLECT_CALLS", "INTERNATIONAL_CALLS", "CARRIER_ACCESS", "INTERSTATE_CALLS", "INTRASTATE_CALLS", "LOCAL_CALLS", "LONG_DISTANCE_CALLS", "OPERATORASSISTED_CALLS", "CREDIT_CARD_ACCESS_CALLS", "CALLING_CARD_CALLS", "TOLL_FREE_CALLS", "UNIVERSAL_AC_DC_ADAPTORS", "BATHTUB_SEAT", "CANOPY_POSTER_BED", "CUPS_GLASSWARE", "ENTERTAINMENT_CENTER", "FAMILY_OVERSIZED_ROOM", "HYPOALLERGENIC_BED", "HYPOALLERGENIC_PILLOWS", "LAMP", "MEAL_INCLUDED_BREAKFAST", "MEAL_INCLUDED_CONTINENTAL_BREAKFAST", "MEAL_INCLUDED_DINNER", "MEAL_INCLUDED_LUNCH", "SHARED_BATHROOM", "TELEPHONE_TDD_TEXTPHONE", "WATER_BED", "EXTRA_ADULT_CHARGE", "EXTRA_CHILD_CHARGE", "EXTRA_CHILD_CHARGE_FOR_ROLLAWAY_USE", "MEAL_INCLUDED_FULL_AMERICAN_BREAKFAST", "FUTON", "MURPHY_BED", "TATAMI_MATS", "SINGLE_BED", "ANNEX_ROOM", "FREE_NEWSPAPER", "HONEYMOON_SUITES", "COMPLIMENTARY_HIGH_SPEED_INTERNET_IN_ROOM", "MAID_SERVICE", "PC_HOOKUP_IN_ROOM", "SATELLITE_TELEVISION", "VIP_ROOMS", "CELL_PHONE_RECHARGER", "DVR_PLAYER", "IPOD_DOCKING_STATION", "MEDIA_CENTER", "PLUG_AND_PLAY_PANEL", "SATELLITE_RADIO", "VIDEO_ON_DEMAND", "EXTERIOR_CORRIDORS", "GULF_VIEW", "ACCESSIBLE_ROOM_AMENITY", "INTERIOR_CORRIDORS", "MOUNTAIN_VIEW", "OCEAN_VIEW", "HIGH_SPEED_INTERNET_ACCESS_FEE", "HIGH_SPEED_WIRELESS", "PREMIUM_MOVIE_CHANNELS", "SLIPPERS", "FIRST_NIGHTERS_KIT", "CHAIR_PROVIDED_WITH_DESK", "PILLOW_TOP_MATTRESS", "FEATHER_BED", "DUVET", "LUXURY_LINEN_TYPE", "INTERNATIONAL_CHANNELS", "PANTRY", "DISHCLEANING_SUPPLIES", "DOUBLE_VANITY", "LIGHTED_MAKEUP_MIRROR", "UPGRADED_BATHROOM_AMENITIES", "VCR_PLAYER_AVAILABLE_AT_FRONT_DESK", "INSTANT_HOT_WATER", "OUTDOOR_SPACE", "HINOKI_TUB", "PRIVATE_POOL", "HIGH_DEFINITION_HD_FLAT_PANEL_TELEVISION_32_INCHES_OR_GREATER", "ROOM_WINDOWS_OPEN", "BEDDING_TYPE_UNKNOWN_OR_UNSPECIFIED", "FULL_BED", "ROUND_BED", "TV", "CHILD_ROLLAWAY", "DVD_PLAYER_AVAILABLE_AT_FRONT_DESK", "VIDEO_GAME_PLAYER", "VIDEO_GAME_PLAYER_AVAILABLE_AT_FRONT_DESK", "DINING_ROOM_SEATS", "FULL_SIZE_MIRROR", "MOBILE_CELLULAR_PHONES", "MOVIES", "MULTIPLE_CLOSETS", "PLATES_GLASSWARE", "SAFE_LARGE_ENOUGH_TO_ACCOMMODATE_A_LAPTOP", "BED_LINEN_THREAD_COUNT", "BLACKOUT_CURTAIN", "BLURAY_PLAYER", "DEVICE_WITH_MP3", "NO_ADULT_CHANNELS_OR_ADULT_CHANNEL_LOCK", "NONALLERGENIC_ROOM", "PILLOW_TYPE", "SEATING_AREA_WITH_SOFA_CHAIR", "SEPARATE_TOILET_AREA", "WEB_ENABLED", "WIDESCREEN_TV", "OTHER_DATA_CONNECTION", "PHONELINE_BILLED_SEPARATELY", "SEPARATE_TUB_OR_SHOWER", "VIDEO_GAMES", "ROOF_VENTILATOR", "CHILDRENS_PLAYPEN", "PLUNGE_POOL", "DVD_MOVIES", "AIR_FILTRATION"

  - `rooms.rateOptions.cancellationPolicy` (object, required)
    Cancellation policy for the PNR

  - `rooms.rateOptions.cancellationPolicy.refundable` (string)
    Is refundable or not
    Enum: "UNKNOWN", "TRUE", "FALSE"

  - `rooms.rateOptions.cancellationPolicy.terms` (array)

  - `rooms.rateOptions.cancellationPolicy.terms.penalty` (object, required)

  - `rooms.rateOptions.cancellationPolicy.terms.penalty.penaltyPercentage` (number)
    Example: 10

  - `rooms.rateOptions.cancellationPolicy.terms.deadline` (object, required)

  - `rooms.rateOptions.cancellationPolicy.terms.deadline.deadlineAbsolute` (object)
    Local date and time in ISO 8601 format.

  - `rooms.rateOptions.cancellationPolicy.terms.deadline.deadlineAbsolute.iso8601` (string, required)
    Example: 2017-07-21T17:32

  - `rooms.rateOptions.cancellationPolicy.terms.deadline.deadlineDurationBeforeArrival` (object)
    Represents a duration of time with specific units of time.

  - `rooms.rateOptions.cancellationPolicy.terms.deadline.deadlineDurationBeforeArrival.iso8601` (string)
    Durations define the amount of intervening time in a time interval and are represented by the
format P[n]Y[n]M[n]DT[n]H[n]M[n]S.
The [n] is replaced by the value for each of the date and time elements that follow the [n].
Leading zeros are not required. The capital letters P, Y, M, W, D, T, H, M, and S are
designators for each of the date and time elements and are not replaced. P is the duration
designator (for period) placed at the start of the duration representation.
Y is the year designator.
M is the month designator.
W is the week designator.
D is the day designator.
T is the time designator.
H is the hour designator.
M is the minute designator.
S is the second designator and can include decimal digits with arbitrary precision.
    Example: PT19H55M

  - `rooms.rateOptions.cancellationPolicy.cancellableStatus` (string)
    Whether the booking can be cancelled.
UNSPECIFIED and CANCELLABLE are treated as cancellable.
Some suppliers (e.g. Premier Inn) block cancellation on non-refundable rates.
    Enum: "CANCELLABLE_STATUS_UNSPECIFIED", "CANCELLABLE", "NOT_CANCELLABLE"

  - `rooms.rateOptions.policyInfo` (object, required)
    Includes detailed information about a policy, such as its unique identifier, type, name, rules, version, and approval type.

  - `rooms.rateOptions.policyInfo.id` (object, required)
    Identifier of an object

  - `rooms.rateOptions.policyInfo.id.id` (string, required)
    Example: b93dc51f-12dd-46c7-b7d6-1cb12cd3f5b3

  - `rooms.rateOptions.policyInfo.policyType` (string, required)
    Policy type.
    Enum: "DEFAULT", "GROUP", "INTERNAL"

  - `rooms.rateOptions.policyInfo.policyName` (string, required)
    Name of the policy.

  - `rooms.rateOptions.policyInfo.ruleResultInfos` (array)
    Information about the policy rules.

  - `rooms.rateOptions.policyInfo.ruleResultInfos.violationInfos` (array)

  - `rooms.rateOptions.policyInfo.ruleResultInfos.violationInfos.predicateString` (string)

  - `rooms.rateOptions.policyInfo.ruleResultInfos.violationInfos.predicate` (string)
    This contains the enum mentioning the policy rule which was violated.
    Enum: "UNKNOWN_PREDICATE_STRING", "MAX_FARE_PER_TRAVELLER_VIOLATION", "FARE_MORE_THAN_MINIMUM", "FARE_MORE_THAN_MEDIAN", "FARE_LESS_THAN_MEDIAN", "FARE_MORE_THAN_LLF", "MAX_FARE_PER_TRAVELLER_VIOLATION_INCLUDING_TAX", "MAX_FARE_PER_TRAVELLER_VIOLATION_EXCLUDING_TAX", "HOTEL_PAYMENT_OPTIONS_VIOLATION", "RAIL_BOOKING_WINDOW_GAP_VIOLATION", "RAIL_TRAVEL_CLASS_VIOLATION", "RAIL_TICKET_REFUNDABLE_VIOLATION", "RAIL_MAX_BOOKING_PRICE_VIOLATION_INCLUDING_TAX", "RAIL_MAX_BOOKING_PRICE_VIOLATION_EXCLUDING_TAX", "AIR_MAX_PRICE_MORE_THAN_LLF_VIOLATION_INCLUDING_TAX", "AIR_MAX_PRICE_MORE_THAN_LLF_VIOLATION_EXCLUDING_TAX", "HOTEL_RESTRICTED_KEYWORDS_VIOLATION", "RESTRICTED_LOCATION_VIOLATION", "FLIGHT_ADVANCE_BOOKING_WINDOW_DOMESTIC_VIOLATION", "FLIGHT_ADVANCE_BOOKING_WINDOW_INTERNATIONAL_VIOLATION", "FLIGHT_ADVANCE_BOOKING_WINDOW_VIOLATION", "ITINERARY_WITHIN_EVENT_TRAVEL_WINDOW", "HOTEL_IN_ALLOWED_HOTEL_LIST", "PAYMENT_ACCESS_VIOLATION", "AIRPORT_IN_ALLOWED_AIRPORT_LIST", "ITINERARY_TYPE_IS_NOT_IN_ALLOWED_BOOKING_TYPES", "PAYMENT_AIR_ADDON_VIOLATION", "MAX_HOTEL_BOOKING_PRICE_INCLUDING_TAX", "MAX_HOTEL_BOOKING_PRICE_EXCLUDING_TAX", "AIR_NUM_TRAVELERS_ALLOWED", "PREFERRED_VENDOR_VIOLATION", "SEAT_ADDON_VIOLATION", "BAGGAGE_ADDON_VIOLATION", "EARLY_BIRD_ADDON_VIOLATION", "WIFI_ADDON_VIOLATION", "RESTRICTED_BOOKING_VIOLATION", "HIGHEST_ALLOWED_CABIN_VIOLATION", "LOWEST_FARE_PER_HOTEL_PROPERTY_VIOLATION", "AIR_RESTRICTED_FARES_VIOLATION", "AIR_ANCILLARY_VIOLATION"

  - `rooms.rateOptions.policyInfo.ruleResultInfos.violationInfos.expectedValue` (object)

  - `rooms.rateOptions.policyInfo.ruleResultInfos.violationInfos.expectedValue.displaySuffix` (string)
    Optional display suffix for the policy const value

  - `rooms.rateOptions.policyInfo.ruleResultInfos.subViolationInfos` (array)
    In case of complex rules this will contain extra information as to how the rule was 
calculated.

  - `rooms.rateOptions.policyInfo.ruleResultInfos.actions` (array)
    Followed actions if rule was satisfied else violated actions.

  - `rooms.rateOptions.policyInfo.ruleResultInfos.actions.flag` (object)

  - `rooms.rateOptions.policyInfo.ruleResultInfos.actions.hide` (boolean)

  - `rooms.rateOptions.policyInfo.ruleResultInfos.actions.alertOnSelection` (object)

  - `rooms.rateOptions.policyInfo.ruleResultInfos.actions.takeApproval` (object)

  - `rooms.rateOptions.policyInfo.ruleResultInfos.actions.preventBooking` (object)
    Whether to allow booking if a rule is violated.

  - `rooms.rateOptions.policyInfo.ruleResultInfos.actions.splitPayment` (object)
    Split payment details for claiming reimbursements.

  - `rooms.rateOptions.policyInfo.version` (integer, required)
    Version of the policy.

  - `rooms.rateOptions.policyInfo.approvalType` (string, required)
    Type of APPROVAL
    Enum: "HARD_APPROVAL", "SOFT_APPROVAL", "PASSIVE_APPROVAL", "PRE_APPROVAL"

  - `rooms.rateOptions.guaranteeType` (string, required)
    The type of guarantee required for the rate.
    Enum: "GUARANTEE", "DEPOSIT"

  - `rooms.rateOptions.displayName` (string, required)
    The display name of the rate option.

  - `rooms.rateOptions.roomInfo` (object, required)
    Information about the room.

  - `rooms.rateOptions.roomInfo.roomType` (string)
    Room Type
    Enum: "ROOM", "SUITE", "VILLA", "APARTMENT", "COTTAGE", "STUDIO", "UNKNOWN_ROOM"

  - `rooms.rateOptions.roomInfo.typeClassDescription` (string)
    A description of the room type class.

  - `rooms.rateOptions.roomInfo.roomClasses` (array)
    List of room class.

  - `rooms.rateOptions.roomInfo.roomView` (string)
    Enum: "UNKNOWN", "AIRPORT", "BAY", "CITY", "COURTYARD", "GOLF", "HARBOR", "INTERCOASTAL", "LAKE", "MARINA", "MOUNTAIN", "OCEAN", "POOL", "RIVER", "WATER", "BEACH", "GARDEN", "PARK", "FOREST", "RAIN_FOREST", "VARIOUS", "LIMITED", "SLOPE", "STRIP", "COUNTRYSIDE", "SEA", "GULF", "VALLEY"

  - `rooms.rateOptions.rateGroupKey` (string, required)
    A key used to group similar rates.

  - `rooms.rateOptions.additionalAmenities` (array)
    A list of additional amenities included with the rate.

  - `rooms.rateOptions.isPrepaidRoom` (boolean, required)
    Indicates if the room is prepaid.

  - `rooms.rateOptions.supportedCardTypes` (array)
    A list of card types supported for payment.

  - `rooms.rateOptions.supportedCardTypes.cardCompany` (string, required)
    The issuing company of card
    Enum: "NONE", "VISA", "MASTERCARD", "AMEX", "DISCOVER", "AIR_TRAVEL_UATP", "CARTE_BLANCHE", "DINERS_CLUB", "JCB", "BREX", "UNION_PAY", "EURO_CARD", "ACCESS_CARD", "ELO_CARD"

  - `rooms.rateOptions.supportedCardTypes.description` (string)
    A description of the card type.

  - `rooms.rateOptions.numRoomsRequired` (integer, required)
    The number of rooms required for this rate option.

  - `rooms.rateOptions.maxOccupancy` (object, required)

  - `rooms.rateOptions.maxOccupancy.numAdults` (integer, required)
    The number of adults staying in the room.
    Example: 1

  - `rooms.rateOptions.maxOccupancy.numChildren` (integer)
    The number of children staying in the room.
    Example: 0

  - `rooms.rateOptions.isModifiable` (boolean, required)
    Indicates if the rate is modifiable.

  - `rooms.rateOptions.additionalDetails` (array)
    A list of additional details about the rate option.

  - `rooms.rateOptions.additionalDetails.additionalDetailType` (string)
    Enum: "ADDITIONAL_DETAIL_TYPE_UNKNOWN", "RATE_DESCRIPTION", "PROPERTY_DESCRIPTION", "PROPERTY_LOCATION", "ROOM_INFORMATION", "GUARANTEE_INFORMATION", "DEPOSIT_INFORMATION", "CANCELLATION_INFORMATION", "CHECK_IN_CHECK_OUT_INFORMATION", "EXTRA_CHARGE_INFORMATION", "TAX_INFORMATION", "SERVICE_CHARGE_INFORMATION", "PACKAGE_INFORMATION", "COMMISSION_INFORMATION", "MISCELLANEOUS_INFORMATION", "PROMOTIONAL_INFORMATION", "INCLUSION_INFORMATION", "AMENITY_INFORMATION", "LATE_ARRIVAL_INFORMATION", "LATE_DEPARTURE_INFORMATION", "ADVANCED_BOOKING_INFORMATION", "EXTRA_PERSON_INFORMATION", "AREAS_SERVED", "ONSITE_FACILITIES_INFORMATION", "OFFSITE_FACILITIES_INFORMATION", "ONSITE_SERVICES_INFORMATION", "OFFSITE_SERVICES_INFORMATION", "EXTENDED_STAY_INFORMATION", "CORPORATE_BOOKING_INFORMATION", "BOOKING_GUIDELINES", "GOVERNMENT_BOOKING_POLICY", "GROUP_BOOKING_INFORMATION", "RATE_DISCLAIMER_INFORMATION", "VISA_TRAVEL_REQUIREMENT_INFORMATION", "SECURITY_INFORMATION", "ONSITE_RECREATIONAL_ACTIVITIES_INFORMATION", "OFFSITE_RECREATIONAL_ACTIVITIES_INFORMATION", "GENERAL_MEETING_PLANNING_INFORMATION", "GROUP_MEETING_PLANNING_INFORMATION", "CONTRACT_NEGOTIATED_BOOKING_INFORMATION", "TRAVEL_INDUSTRY_BOOKING_INFORMATION", "MEETING_ROOM_DESCRIPTION", "PET_POLICY_DESCRIPTION", "MEAL_PLAN_DESCRIPTION", "FAMILY_PLAN_DESCRIPTION", "CHILDREN_INFORMATION", "EARLY_CHECKOUT_DESCRIPTION", "SPECIAL_OFFERS_DESCRIPTION", "CATERING_DESCRIPTION", "ROOM_DECOR_DESCRIPTION", "OVERSOLD_POLICY_DESCRIPTION", "LAST_ROOM_AVAILABILITY_DESCRIPTION", "ROOM_TYPE_UPGRADE_DESCRIPTION", "DRIVING_DIRECTIONS", "DRIVING_DIRECTIONS_FROM_THE_NORTH", "DRIVING_DIRECTIONS_FROM_THE_SOUTH", "DRIVING_DIRECTIONS_FROM_THE_EAST", "DRIVING_DIRECTIONS_FROM_THE_WEST", "SURCHARGE_INFORMATION", "MINIMUM_STAY_INFORMATION", "MAXIMUM_STAY_INFORMATION", "CHECK_IN_POLICY", "CHECK_OUT_POLICY", "EXPRESS_CHECK_IN_POLICY", "EXPRESS_CHECK_OUT_POLICY", "FACILITY_RESTRICTIONS", "CUSTOMS_INFORMATION_FOR_MATERIAL", "SEASONS", "FOOD_AND_BEVERAGE_MINIMUMS_FOR_GROUPS", "DEPOSIT_POLICY_FOR_MASTER_ACCOUNT", "DEPOSIT_POLICY_FOR_RESERVATIONS", "RESTAURANT_SERVICES", "SPECIAL_EVENTS", "CUISINE_DESCRIPTION", "KEY_COLLECTION_INFO", "IMPORTANT_INFO"

  - `rooms.rateOptions.additionalDetails.text` (string)

  - `rooms.rateOptions.earnLoyaltyPoints` (boolean, required)
    Indicates if loyalty points can be earned with this rate.

  - `rooms.rateOptions.rewardPointsEarned` (array, required)
    A list of reward points earned with this rate.

  - `rooms.rateOptions.rewardPointsEarned.rewardPointsType` (string, required)
    Type of reward points.
    Enum: "QBR", "QFF"

  - `rooms.rateOptions.rewardPointsEarned.totalPointsEarned` (number, required)
    Total points that will be credited.

  - `rooms.rateOptions.rewardPointsEarned.conversionMultiplier` (number, required)
    Multiplier for converting points.

  - `rooms.rateOptions.promotionalOffers` (array)
    A list of promotional offers applicable to the rate.

  - `rooms.rateOptions.promotionalOffers.name` (string, required)
    Name of the promotional offer applied on this hotel rate.

  - `rooms.rateOptions.paymentDescription` (array)
    A list of descriptions related to payment for the rate.

  - `rooms.rateOptions.isFopModifiable` (boolean, required)
    Indicates if the form of payment is modifiable.

  - `rooms.rateOptions.accessibilityInfo` (array)
    A list of accessibility features for the rate.

  - `rooms.rateOptions.accessibilityInfo.type` (string, required)
    The type of accessibility feature.
    Enum: "ACCESSIBLE_ROOM"

  - `rooms.rateOptions.accessibilityInfo.additionalInfo` (string)
    Additional information about the accessibility feature.

  - `rooms.rateOptions.accessibilityInfo.isSelectionRequired` (boolean, required)
    Indicates if the selection of this accessibility feature is required.

  - `rooms.imageSets` (array)
    A list of image sets for the hotel room.

  - `rooms.roomGroupKey` (string)
    A unique key identifying the room group.

  - `bookedRooms` (array)
    List of booked rooms in the hotel, present only as part of modification details response.

  - `occupancyDates` (object, required)

  - `occupancyDates.occupancy` (array, required)
    List of occupancy details including the number of adults and children.

  - `rateStatistics` (object)
    Contains statistical information about hotel search results.

  - `rateStatistics.median` (object, required)
    Details median rate information for a hotel.

  - `rateStatistics.sampleSize` (integer, required)
    Size of the sample set used to calculate the statistics.
    Example: 100

  - `rateStatistics.policyType` (string, required)
    Enumeration of policy types for rate statistics.
    Enum: "DEFAULT", "SET_BY_ADMIN"

  - `rateStatistics.statisticalMethod` (string)
    Statistical method used for the recommended hotel rate.
    Enum: "MEDIAN", "MEAN"

  - `rateStatistics.preferredHotelsOnly` (boolean)
    Whether mean and median were calculated using only preferred hotels.
    Example: true

  - `showOnlyBaseFare` (boolean)
    Flag to indicate if only the base fare should be shown.

  - `preferences` (array)
    List of user preferences.

  - `preferences.preferredType` (string, required)
    Preference type.
    Enum: "NOT_PREFERRED", "COMPANY_PREFERRED", "SPOTTERS_CHOICE", "COMPANY_BLOCKED", "TMC_PREFERRED"

  - `preferences.blockedReason` (string)
    Reason for blocking the leg, hotel or car.

  - `preferences.label` (string)
    The label assigned to a specific tier of preference.

  - `termsAndConditions` (array)
    List of terms and conditions applicable to the booking.

  - `termsAndConditions.conditions` (array)
    List of conditions

  - `termsAndConditions.conditions.url` (string, required)
    Url for terms and conditions.
    Example: https://www.amtrak.com/terms-and-conditions.html

  - `termsAndConditions.conditions.text` (string, required)
    Display text for the url.
    Example: Amtrak

  - `ancillaries` (array)
    List of available ancillaries that can be booked along with the hotel room.

  - `ancillaries.ancillaryKey` (string, required)
    Unique identifier for the ancillary service.

  - `ancillaries.category` (string, required)
    Type of ancillary.
    Enum: "ANCILLARY_UNKNOWN", "EARLY_CHECKIN", "LATE_CHECKOUT", "WIFI", "BREAKFAST", "PARKING", "PETS", "MEAL_PLAN", "OTHER"

  - `ancillaries.displayName` (string, required)
    Display name of ancillary.

  - `ancillaries.description` (string)
    Detailed description of ancillary.

  - `ancillaries.refundability` (string, required)
    Refundability information about the ancillary.
    Enum: "REFUNDABILITY_UNKNOWN", "FULLY_REFUNDABLE", "PARTIALLY_REFUNDABLE", "NON_REFUNDABLE"

  - `ancillaries.purchaseStatus` (string, required)
    Purchase status of the ancillary.
    Enum: "PURCHASE_STATUS_UNKNOWN", "AVAILABLE", "ALREADY_PURCHASED", "INCLUDED_IN_RATE"

  - `ancillaries.paymentType` (string, required)
    Payment type for the ancillary.
    Enum: "PAYMENT_TYPE_UNKNOWN", "PREPAID", "POSTPAID"

  - `ancillaries.status` (string)
    Status of the ancillary service.
    Enum: "ANCILLARY_STATUS_UNKNOWN", "ACTIVE", "CANCELLED", "MODIFIED"

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 404:

  - `404` (unknown)
    The specified resource was not found.

## Response 404 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

